> ## Documentation Index
> Fetch the complete documentation index at: https://docs.checkpoint.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Claim

> Verify a signed deposit authorization, fetch the latest points balance, and return the oracle signature for a deposit transaction



## OpenAPI

````yaml /spec/oracle.json post /claim/deposit
openapi: 3.0.0
info:
  title: Checkpoint Oracle API
  description: Cryptographic verification of offchain claims
  version: 1.0.0
  contact:
    name: Checkpoint Support
    url: https://discord.gg/fJ5dJbxxTT
servers:
  - url: https://oracle.checkpoint.exchange
    description: Production Oracle API
security: []
tags:
  - name: Claims
    description: Endpoints for verifying claims and getting cryptographic signatures
paths:
  /claim/deposit:
    post:
      tags:
        - Claims
      summary: Get Deposit Claim
      description: >-
        Verify a signed deposit authorization, fetch the latest points balance,
        and return the oracle signature for a deposit transaction
      operationId: getDepositClaim
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DepositClaimRequest'
      responses:
        '200':
          description: Successful claim verification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositClaimResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid account authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    DepositClaimRequest:
      type: object
      properties:
        account:
          type: string
          description: Hex-encoded ERC-7930 account for the underlying points holder
          example: '0x000100000014d8da6bf26964af9d7eed9e03e53415d37aa96045'
        operator:
          type: string
          description: The EVM wallet that will submit the onchain deposit transaction
          example: '0x69155e7ca2e688ccdc247f6c4ddf374b3ae77bd6'
        pointsId:
          oneOf:
            - type: string
            - type: integer
          description: The points program ID
          example: '4'
        authorization:
          $ref: '#/components/schemas/DepositSignatureAuthorization'
      required:
        - account
        - operator
        - pointsId
        - authorization
    DepositClaimResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        claim:
          $ref: '#/components/schemas/DepositClaim'
        signature:
          type: string
          nullable: true
          example: >-
            0xd1ede18892adf865739b755a274ae470fc293344b1787564d711b541ca53db827b3cfec75afd1c2b70d1ca3b08ffa5d159bc9df3a4359df84ae99dd8deb2c4ca1b
      required:
        - success
        - claim
        - signature
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Invalid request
      required:
        - success
        - error
    DepositSignatureAuthorization:
      type: object
      properties:
        nonce:
          oneOf:
            - type: string
            - type: integer
          example: '0'
        expiry:
          oneOf:
            - type: string
            - type: integer
          example: '1760896448'
        signature:
          type: string
          description: Account-signed authorization signature
          example: 0xabc123def456...
      required:
        - nonce
        - expiry
        - signature
    DepositClaim:
      type: object
      properties:
        chainId:
          type: string
          example: '421614'
        pointsId:
          type: string
          example: '4'
        account:
          type: string
          example: '0x000100000014d8da6bf26964af9d7eed9e03e53415d37aa96045'
        operator:
          type: string
          example: '0x69155e7ca2e688ccdc247f6c4ddf374b3ae77bd6'
        amount:
          type: string
          example: '5314000000000000000000'
        expiry:
          type: string
          example: '1760896448'
        nonce:
          type: string
          example: '0'
      required:
        - chainId
        - pointsId
        - account
        - operator
        - amount
        - expiry
        - nonce

````